Subject: Re: [PATCH v4] dt-bindings: net: nfc: nxp,pn544: Convert txt bindings to yaml

From: Rob Herring <[email-masked]>
Date: Mon, 18 Oct 2021 13:34:47 -0500

On Mon, Oct 18, 2021 at 03:04:03PM +0200, David Heidelberg wrote:
> 
> 
> 
> On Mon, Oct 18 2021 at 07:13:53 -0500, Rob Herring <[email-masked]> wrote:
> > On Sun, 17 Oct 2021 18:02:10 +0200, David Heidelberg wrote:
> > >  Convert bindings for NXP PN544 NFC driver to YAML syntax.
> > > 
> > >  Signed-off-by: David Heidelberg <[email-masked]>
> > >  ---
> > >  v2
> > >   - Krzysztof is a maintainer
> > >   - pintctrl dropped
> > >   - 4 space indent for example
> > >   - nfc node name
> > >  v3
> > >   - remove whole pinctrl
> > >  v4
> > >   - drop clock-frequency, which is inherited by i2c bus
> > > 
> > >   .../bindings/net/nfc/nxp,pn544.yaml           | 56
> > > +++++++++++++++++++
> > >   .../devicetree/bindings/net/nfc/pn544.txt     | 33 -----------
> > >   2 files changed, 56 insertions(+), 33 deletions(-)
> > >   create mode 100644
> > > Documentation/devicetree/bindings/net/nfc/nxp,pn544.yaml
> > >   delete mode 100644
> > > Documentation/devicetree/bindings/net/nfc/pn544.txt
> > > 
> Full log is available here: https://patchwork.ozlabs.org/patch/1542257
> > 
> > Running 'make dtbs_check' with the schema in this patch gives the
> > following warnings. Consider if they are expected or the schema is
> > incorrect. These may not be new warnings.
> > 
> > Note that it is not yet a requirement to have 0 warnings for dtbs_check.
> > This will change in the future.
> > 
> > 
> > 
> > nfc@28: 'clock-frequency' does not match any of the regexes:
> > 'pinctrl-[0-9]+'
> > 	arch/arm/boot/dts/tegra30-asus-nexus7-grouper-E1565.dt.yaml
> > 	arch/arm/boot/dts/tegra30-asus-nexus7-grouper-PM269.dt.yaml
> > 
> > nfc@2a: 'clock-frequency' does not match any of the regexes:
> > 'pinctrl-[0-9]+'
> > 	arch/arm/boot/dts/tegra30-asus-nexus7-tilapia-E1565.dt.yaml
> > 
> 
> Patches for this are already in grate repository and will be sent to
> mainline soon! :)

Okay. I was under the impression 'clock-frequency' was removed thinking 
it is in the i2c bus schema already. It is, but unfortunately you need 
it here too if used because all properties for a node have to be listed 
in the schema for the node. 'unevaluatedProperties' can't evaluate 
properties in the child nodes of the parent schema with the properties 
of the child schema.

Rob